# Note that this is NOT a relocatable package
%define ver      3.0.1
%define rel      3
%define prefix   /usr

Summary: Maelstrom
Name:      Maelstrom
Version:   %ver
Release:   %rel
Copyright: LGPL
Group: Amusements/Games
Source0:   Maelstrom-%{PACKAGE_VERSION}.tar.gz
URL:       http://www.devolution.com/~slouken/Maelstrom/
BuildRoot: /var/tmp/Maelstrom-%{PACKAGE_VERSION}-root
Packager:  Sam Lantinga <slouken@devolution.com>
Docdir: %{prefix}/doc

%description
Maelstrom is a rockin' asteroids game ported from the Macintosh
Originally written by Andrew Welch of Ambrosia Software, and ported
to UNIX and then SDL by Sam Lantinga <slouken@devolution.com>

%prep

%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Add desktop menu bar items
function Add_DeskTop_MenuItem
{
    desktop=$1; deskfile=$2
    if [ -d "$desktop" ]; then
        desktop="$desktop/Games"
        if [ ! -d "$desktop" ]; then
            mkdir "$desktop" 2>/dev/null
        fi
        if [ -w "$desktop" ]; then
            echo "Creating $desktop/$deskfile"
            cat >"$desktop/$deskfile" <<__EOF__
# KDE Config File
[KDE Desktop Entry]
Name=Maelstrom
Comment=Maelstrom
Exec=%{prefix}/bin/Maelstrom
Icon=%{prefix}/games/Maelstrom/icon.xpm
Terminal=0
Type=Application
__EOF__
        fi
    fi
}
for gnomedir in "/opt/gnome" "/usr/share/gnome"
do Add_DeskTop_MenuItem "$gnomedir/apps" "maelstrom.desktop"
done
for kdedir in "/opt/kde" "/usr/share/kde"
do Add_DeskTop_MenuItem "$kdedir/share/applnk" "maelstrom.kdelnk"
done

%preun
for gnomedir in "/opt/gnome" "/usr/share/gnome"
do rm -f "$gnomedir/apps/Games/maelstrom.desktop"
done
for kdedir in "/opt/kde" "/usr/share/kde"
do rm -f "$kdedir/share/applnk/Games/maelstrom.kdelnk"
done

%files
%defattr(-, root, root)
%doc COPYING CREDITS README* Changelog Docs
%{prefix}/bin/Maelstrom
%{prefix}/games/Maelstrom

%changelog
* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- changed to valid group

* Wed Dec  8 1999 Bill Nottingham <notting@redhat.com>
- don't echo in %pre/%post, don't add desktop entries to $HOME

* Tue Sep 21 1999 Sam Lantinga <slouken@devolution.com>

- first attempt at a spec file

